### Property

# Gtk LevelBar:mode

#### Declaration

    property mode: Gtk.LevelBarMode [ read, write ]

#### Description [src]

Determines the way `GtkLevelBar` interprets the value properties to draw the level fill area.

Specifically, when the value is `GTK_LEVEL_BAR_MODE_CONTINUOUS`, `GtkLevelBar` will draw a single block representing the current value in that area; when the value is `GTK_LEVEL_BAR_MODE_DISCRETE`, the widget will draw a succession of separate blocks filling the draw area, with the number of blocks being equal to the units separating the integral roundings of `GtkLevelBar:min-value` and `GtkLevelBar:max-value`.

Type: | `GtkLevelBarMode`

Default value | GTK_LEVEL_BAR_MODE_CONTINUOUS
Getter method | `gtk_level_bar_get_mode()`
Setter method | `gtk_level_bar_set_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no